<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DataMenuInteressenbekundungEingabe extends DataMenuMainFormularEingabe
{
  public function __construct($pUrlparam)
  {
    parent::__construct($pUrlparam);
    $this->exportadapter = new ExpTeilnehmer();
  }

  public function getsight($sightid = 175)
  {
    parent::getsight($sightid);
  }

  public function _getClickPath()
  {
    parent::_getClickPath();
    if ($this->toolsettings->titleKursBereich != '') {
      $this->clickpfad = "<span class='clickadresse'>" . ' ' . CleanOperations::cleanStringForHtml(stripslashes($this->toolsettings->titleKursBereich)) . ' ' . "</span>\n";
      $this->clickpfad .= "<span class='trennzeichen'>" . ' ' . CleanOperations::cleanStringContainingHtml($this->toolsettings->trennzeichenKategorie) . ' ' . '</span>';
    }
    $this->clickpfad .= "<span class='clickadrbold'>" . CleanOperations::cleanStringForHtml($this->toolsettings->clickInteressenbekText) . "</span>\n";

    return $this->clickpfad;
  }

  public function mainmenu()
  {
    if (!WBKursStore::isKursUrlParameterAnzeigenErlaubt()) {
      echo '<div class="hauptseite">';
      echo '<p>Ein Zugriff auf diese Seite ist nicht möglich.</p>';
      echo '</div>';

      return;
    }
    parent::mainmenu();
  }

  protected function getExportAdapterHeader()
  {
    return new ExpKurse();
  }

  protected function getExportAdapterFooter()
  {
    return new ExpKurse();
  }

  public function getdataarraynodata()
  {
    $this->dataarraynodata = array(WBKursStore::getKurs($this->urlparameter->knr));
  }

  public function getdataarrayheader()
  {
    $this->dataarrayheader = array(WBKursStore::getKurs($this->urlparameter->knr));
  }

  public function getdataarrayfooter()
  {
    $this->dataarrayfooter = array(WBKursStore::getKurs($this->urlparameter->knr));
  }
}